package com.bpcl.lpg.core.service.impl;

import de.hybris.platform.servicelayer.search.FlexibleSearchQuery;
import de.hybris.platform.core.model.media.MediaModel;
import org.junit.Test;
import org.assertj.core.api.Assertions;
import org.assertj.core.api.AbstractCharSequenceAssert;
import org.junit.Before;
import de.hybris.platform.servicelayer.search.FlexibleSearchService;
import javax.annotation.Resource;
import com.bpcl.lpg.core.service.BpcllpgcoreService;
import de.hybris.bootstrap.annotations.IntegrationTest;
import de.hybris.platform.servicelayer.ServicelayerBaseTest;

@IntegrationTest
public class DefaultBpcllpgcoreServiceIntegrationTest extends ServicelayerBaseTest
{
    @Resource
    private BpcllpgcoreService bpcllpgcoreService;
    @Resource
    private FlexibleSearchService flexibleSearchService;
    
    @Before
    public void setUp() throws Exception {
        this.bpcllpgcoreService.createLogo("bpcllpgcorePlatformLogo");
    }
    
    @Test
    public void shouldReturnProperUrlForLogo() throws Exception {
        final String logoCode = "bpcllpgcorePlatformLogo";
        final String logoUrl = this.bpcllpgcoreService.getHybrisLogoUrl("bpcllpgcorePlatformLogo");
        ((AbstractCharSequenceAssert)Assertions.assertThat(logoUrl).isNotNull()).isEqualTo((Object)this.findLogoMedia("bpcllpgcorePlatformLogo").getURL());
    }
    
    private MediaModel findLogoMedia(final String logoCode) {
        final FlexibleSearchQuery fQuery = new FlexibleSearchQuery("SELECT {PK} FROM {Media} WHERE {code}=?code");
        fQuery.addQueryParameter("code", (Object)logoCode);
        return (MediaModel)this.flexibleSearchService.searchUnique(fQuery);
    }
}
